> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get users



## OpenAPI

````yaml /openapi.json get /users
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /users:
    get:
      tags:
        - Admin
      operationId: get-users
      parameters:
        - name: role
          schema:
            type: string
          in: query
          required: false
          deprecated: false
          explode: true
        - name: disabled
          schema:
            type: boolean
          in: query
          required: false
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/AdminUserListResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AdminUserListResponse:
      type: object
      title: AdminUserListResponse
      required:
        - users
        - total
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/AdminUserEntry'
        total:
          type: integer
          format: uint64
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    AdminUserEntry:
      type: object
      title: AdminUserEntry
      required:
        - id
        - email
        - role
        - is_disabled
        - is_guest
        - created_at
      properties:
        id:
          type: string
        email:
          type: string
        name:
          type: string
        role:
          $ref: '#/components/schemas/AdminUserRole'
        is_disabled:
          type: boolean
        is_guest:
          type: boolean
        created_at:
          type: string
    AdminUserRole:
      type: string
      enum:
        - participant
        - moderator
        - admin

````